/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

import com.monica.javacom.interfaces.*;

/** Compression algorithm used by the SSH layer. Provides functionality for compression/
    decompression. 
*/    
public interface MJCSSHCompressionAlgorithm {

  /** Returns the MJC name of the MJCSSHCompressionAlgorithm.
      @return String: the MJC name of the MJCSSHCompressionAlgorithm
  */    
  public String getCompressionAlgorithmName();
  
  /** Returns the MJC version of the MJCSSHCompressionAlgorithm.
      @return String: the MJC version of the MJCSSHCompressionAlgorithm.
  */      
  public String getCompressionAlgorithmVersion();

  /** Compresses the given String.
      @param String s: the to be compressed String
      @return String: the compressed String
  */      
  public String compress(String data);
  
  /** Decompresses the given String.
      @param String s: the to be decompressed String
      @return String: the decompressed String
  */      
  public String decompress(String compressed_data);
}