/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

/** Provides functionality for implementing timers. Started timers will 
    supply event ni=otifications in regular intervals until they are killed.
*/    
public interface MJCTimer {

  /** Starts the timer. The timer will call the callback method each passed interval 
      milliseconds supplying the provided timerID as well until the timer is 
      explicitly killed with the killTimer method.
      @param int timerID: the Id that will be supplied to the callback method
      @patam int interval: interval in milliseconds between callbacks
      @return boolean: wether the timer could be started or not
  */
  public boolean setTimer(int timerID, int interval);
  
  /** Kills the timer with the specified timerID.
      @param int timerID: the timerID of the to be killed timer
      @return boolean: wether the timer could be killed or not
  */      
  public boolean killTimer(int timerID);

}