/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.ssh;

import com.monica.javacom.interfaces.*;

/** Class for implementing the "none" ciphering method. This means no ciphering
    at all, eg. a transparent channel. 
*/
public class MJCSSHNoneCiphering implements MJCSSHCipherAlgorithm {

  private static final String NAME="MJCSSHNoneCiphering";
  private static final String VERSION="0.2";

  public String getCipherAlgorithmName() {
    return NAME;
  }

  public String getCipherAlgorithmVersion() {
    return VERSION;
  }

  public String encode(String data) {
    return data;
  }

  public String decode(String encoded_data) {
    return encoded_data;
  }

  public int getCipherBlockSize() {
    return 1;
  }

  public Object getState() {
    return new Object();
  }

  public void setState(Object o) {
  }

  public void setKeys(String key, String iv) {
  }

}