/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.ssh;

import com.monica.javacom.interfaces.*;

/** Class for implementing the "none" compression method, eg. no compression at all.
*/
public class MJCSSHNoneCompression implements MJCSSHCompressionAlgorithm {

  private static final String NAME="MJCSSHNoneCompression";
  private static final String VERSION="0.2";

  public String getCompressionAlgorithmName() {
    return NAME;
  }

  public String getCompressionAlgorithmVersion() {
    return VERSION;
  }

  public String compress(String data) {
    return data;
  }

  public String decompress(String compressed_data) {
    return compressed_data;
  }

}