/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.ssh;

import com.monica.javacom.interfaces.*;

/** Class for implementing the "none" MAC algorithm, eg. no MAC at all. 
*/
public class MJCSSHNoneMAC implements MJCSSHMACAlgorithm {

  private static final String NAME="MJCSSHNoneMAC";
  private static final String VERSION="0.2";

  public String getMACAlgorithmName() {
    return NAME;
  }

  public String getMACAlgorithmVersion() {
    return VERSION;
  }

  public String createMAC(String data, String secret) {
    return new String();
  }

  public boolean authenticate(String data, String MAC, String secret) {
    return true;
  }

  public int getMACLength() {
    return 0;
  }
}