/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.ssh;

import java.math.*;

/** Class for providing a common way to pass the unencoded, uncompressed
    SSH2 transport protocol package between the object in the MJC world.
*/    
public class MJCSSHTransportPackage {

  /** The packet length as BigInteger. packet_length=5+payload.length()+padding.length(). */
  public BigInteger packet_length;
  
  /* The packet length as int. packet_length=5+payload.length()+padding.length(). */
  public int packet_length_int;
  
  /** The padding length as BigInteger */
  public BigInteger padding_length;
  
  /** The padding length as int */
  public int padding_length_int;
  
  /** The payload as String. Contains the core submitted data of the packet. */
  public String payload;
  
  /** The random padding at the end of the packet for making the length of the
      packet a multiply of 8 or block size of the cipher algorithm, whichever
      is bigger.
  */      
  public String random_padding;
  
  /** The MAC String at the end of the packet. */  
  public String mac;
  
  /** Sequence number of this packet in the SSH2 stream. */
  public int sequenceNumber;

}