/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.util;

import com.monica.javacom.ssh.*;

public class MJCAdler32 {

  private static final int BASE=65521;

  private int s1, s2;
  private int n, len;
  private char[] c;
  private MJCSSHIO io;

  public MJCAdler32() {
    s1=1;
    s2=0;
    io=new MJCSSHIO();
  }

  public String getCRC(String s) {
    len=s.length();
    c=s.toCharArray();
    for (n=0; n<len; n++) {
      s1=(s1+(((int)c[n])&0x00ff))%BASE;
      s2=(s2+s1)%BASE;
    }
    return io.wUint32((s2<<16)&s1);
  }
}