/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.util;

import com.monica.javacom.interfaces.*;
import com.monica.javacom.util.*;
import java.util.*;
import java.io.*;

/** Class providing MJCConfiguration functionality using MJCInputStreamConfiguration
    methodics and reading the configuration data from a String.<br><br>

    The configuration String can have the following stucure:<br>
    <ul>
      <li>lines beginning with # are recognized as comments and therefore ignored
      <li>lines not beginning with # are recognized as configuration lines<br><br>
        configuration lines have the following structure:<br>
        <pre>keyword=value</pre>
        Values can be Strings, ints, and booleans. Booleans are represented with the
        strings "true" and "false". These values can be referenced int he get methods
        of the MJCConfiguration with the id matching the keyword.
    </ul>
*/

public class MJCStringConfiguration extends MJCInputStreamConfiguration {

  // constants
  private static final String NAME="MJCStringConfiguration";
  private static final String VERSION="0.1";

  /** Sets the MJCConfiguration for this object.
      @param MJCConfiguration configuration: the MJCConfiguration
        object for the customization
  */
  public String getConfigurationName() {
    return NAME;
  }

  /** Returns the MJCConfiguration with which this object is customized.
      @return MJCConfiguration: the MJCConfiguration with which this
        object is customized
  */
  public String getConfigurationVersion() {
    return VERSION;
  }

  /** Default constructor.
  */
  public MJCStringConfiguration(String s) {
    pre_init();
    try {
      iS=new MJCStringInputStream(s);
      post_init();
    }
    catch (Exception e) {
    }
  }
}